Index: trunk/source/processes/electromagnetic/standard/include/G4UrbanMscModel90.hh
===================================================================
--- trunk/source/processes/electromagnetic/standard/include/G4UrbanMscModel90.hh	(revision 819)
+++ trunk/source/processes/electromagnetic/standard/include/G4UrbanMscModel90.hh	(revision 961)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4UrbanMscModel90.hh,v 1.1 2007/12/07 17:35:52 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-01-patch-02 $
+// $Id: G4UrbanMscModel90.hh,v 1.4 2008/10/29 14:15:30 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // -------------------------------------------------------------------
@@ -55,5 +55,5 @@
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
 
-#include "G4VEmModel.hh"
+#include "G4VMscModel.hh"
 #include "G4PhysicsTable.hh"
 #include "G4MscStepLimitType.hh"
@@ -65,17 +65,14 @@
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
 
-class G4UrbanMscModel90 : public G4VEmModel
+class G4UrbanMscModel90 : public G4VMscModel
 {
 
 public:
 
-  G4UrbanMscModel90(G4double facrange, G4double dtrl, G4double lambdalimit, 
-		  G4double facgeom,G4double skin, 
-		  G4bool samplez, G4MscStepLimitType stepAlg, 
-		  const G4String& nam = "UrbanMscUni");
+  G4UrbanMscModel90(const G4String& nam = "UrbanMscUni90");
 
   virtual ~G4UrbanMscModel90();
 
-  virtual void Initialise(const G4ParticleDefinition*, const G4DataVector&);
+  void Initialise(const G4ParticleDefinition*, const G4DataVector&);
 
   G4double ComputeCrossSectionPerAtom(const G4ParticleDefinition* particle,
@@ -106,14 +103,4 @@
                          G4double KineticEnergy);
 
-  void SetStepLimitType(G4MscStepLimitType);
-
-  void SetLateralDisplasmentFlag(G4bool val);
-
-  void SetRangeFactor(G4double);
-
-  void SetGeomFactor(G4double);
-
-  void SetSkin(G4double);
-
 private:
 
@@ -124,9 +111,9 @@
   G4double LatCorrelation();
 
-  G4double GetLambda(G4double kinEnergy);
-
   void GeomLimit(const G4Track& track);
 
-  void SetParticle(const G4ParticleDefinition* p);
+  inline G4double GetLambda(G4double kinEnergy);
+
+  inline void SetParticle(const G4ParticleDefinition*);
 
   //  hide assignment operator
@@ -142,5 +129,4 @@
   G4LossTableManager*         theManager;
 
-
   G4double mass;
   G4double charge;
@@ -152,8 +138,4 @@
   G4double taulim;
   G4double currentTau;
-  G4double dtrl;
-
-  G4double lambdalimit;
-  G4double facrange;
   G4double frscaling1,frscaling2;
   G4double tlimit;
@@ -165,11 +147,8 @@
   G4double geommin;
   G4double geomlimit;
-  G4double facgeom;
-  G4double skin;
   G4double skindepth;
   G4double smallstep;
 
   G4double presafety;
-  G4double facsafety;
 
   G4double lambda0;
@@ -177,7 +156,7 @@
   G4double tPathLength;
   G4double zPathLength;
-  G4double par1,par2,par3 ;
-
-  G4double stepmin ;
+  G4double par1,par2,par3;
+
+  G4double stepmin;
 
   G4double currentKinEnergy;
@@ -189,57 +168,9 @@
   G4int    currentMaterialIndex;
 
-  G4MscStepLimitType steppingAlgorithm;
-
-  G4bool   samplez;
-  G4bool   latDisplasment;
   G4bool   isInitialized;
-
   G4bool   inside;
   G4bool   insideskin;
 
 };
-
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
-
-inline
-void G4UrbanMscModel90::SetLateralDisplasmentFlag(G4bool val) 
-{ 
-  latDisplasment = val;
-}
-
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
-
-inline
-void G4UrbanMscModel90::SetSkin(G4double val) 
-{ 
-  skin = val;
-  stepmin       = tlimitminfix;
-  skindepth     = skin*stepmin;
-}
-
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
-
-inline
-void G4UrbanMscModel90::SetRangeFactor(G4double val) 
-{ 
-  facrange = val;
-}
-
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
-
-inline
-void G4UrbanMscModel90::SetGeomFactor(G4double val) 
-{ 
-  facgeom = val;
-}
-
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
-
-inline
-void G4UrbanMscModel90::SetStepLimitType(G4MscStepLimitType val) 
-{ 
-  steppingAlgorithm = val;
-}
 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
